ON_MeshTopology Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h>`

## Public Member Functions

| ON_MeshTopology ()
| ~ON_MeshTopology ()
bool | IsValid () const
void | Dump (ON_TextLog &) const
int | TopVertexCount () const
int | TopEdgeCount () const
int | TopFaceCount () const
class ON_MeshVertexRef | VertexRef (ON_COMPONENT_INDEX ci) const
class ON_MeshVertexRef | VertexRef (int topv_index) const
class ON_MeshEdgeRef | EdgeRef (ON_COMPONENT_INDEX ci) const
class ON_MeshEdgeRef | EdgeRef (int tope_index) const
class ON_MeshFaceRef | FaceRef (ON_COMPONENT_INDEX ci) const
class ON_MeshFaceRef | FaceRef (int topf_index) const
ON_3fPoint | TopVertexPoint (int topv_index) const
ON_Line | TopEdgeLine (int tope_index) const
int | TopEdge (int vtopi0, int vtopi1) const
bool | GetTopFaceVertices (int topfi, int topvi[4]) const
bool | SortVertexEdges (int topvi) const
bool | SortVertexEdges () const
bool | TopVertexIsHidden (int topvi) const
bool | TopEdgeIsHidden (int topei) const
bool | TopFaceIsHidden (int topfi) const
int * | GetIntArray (int count)

## Public Attributes

const ON_Mesh * | m_mesh
ON_SimpleArray< int > | m_topv_map
ON_SimpleArray< ON_MeshTopologyVertex > | m_topv
ON_SimpleArray< ON_MeshTopologyEdge > | m_tope
ON_SimpleArray< ON_MeshTopologyFace > | m_topf

## Friends

class | ON_Mesh

## Detailed Description

Definition at line 565 of file opennurbs_mesh.h.

## Constructor & Destructor Documentation

## ON_MeshTopology()

ON_MeshTopology::ON_MeshTopology | ( |  | ) |

## ~ON_MeshTopology()

ON_MeshTopology::~ON_MeshTopology | ( |  | ) |

## Member Function Documentation

## Dump()

void ON_MeshTopology::Dump | ( | ON_TextLog & |  | ) | const

## EdgeRef() [1/2]

class ON_MeshEdgeRef ON_MeshTopology::EdgeRef | ( | int | tope_index | ) | const

## EdgeRef() [2/2]

class ON_MeshEdgeRef ON_MeshTopology::EdgeRef | ( | ON_COMPONENT_INDEX | ci | ) | const

## FaceRef() [1/2]

class ON_MeshFaceRef ON_MeshTopology::FaceRef | ( | int | topf_index | ) | const

## FaceRef() [2/2]

class ON_MeshFaceRef ON_MeshTopology::FaceRef | ( | ON_COMPONENT_INDEX | ci | ) | const

## GetIntArray()

int* ON_MeshTopology::GetIntArray | ( | int | count | ) |

## GetTopFaceVertices()

bool ON_MeshTopology::GetTopFaceVertices | ( | int | topfi,
|  | int | topvi[4]
| ) |  | const

## IsValid()

bool ON_MeshTopology::IsValid | ( |  | ) | const

## SortVertexEdges() [1/2]

bool ON_MeshTopology::SortVertexEdges | ( |  | ) | const

## SortVertexEdges() [2/2]

bool ON_MeshTopology::SortVertexEdges | ( | int | topvi | ) | const

## TopEdge()

int ON_MeshTopology::TopEdge | ( | int | vtopi0,
|  | int | vtopi1
| ) |  | const

## TopEdgeCount()

int ON_MeshTopology::TopEdgeCount | ( |  | ) | const

## TopEdgeIsHidden()

bool ON_MeshTopology::TopEdgeIsHidden | ( | int | topei | ) | const

## TopEdgeLine()

ON_Line ON_MeshTopology::TopEdgeLine | ( | int | tope_index | ) | const

## TopFaceCount()

int ON_MeshTopology::TopFaceCount | ( |  | ) | const

## TopFaceIsHidden()

bool ON_MeshTopology::TopFaceIsHidden | ( | int | topfi | ) | const

## TopVertexCount()

int ON_MeshTopology::TopVertexCount | ( |  | ) | const

## TopVertexIsHidden()

bool ON_MeshTopology::TopVertexIsHidden | ( | int | topvi | ) | const

## TopVertexPoint()

ON_3fPoint ON_MeshTopology::TopVertexPoint | ( | int | topv_index | ) | const

## VertexRef() [1/2]

class ON_MeshVertexRef ON_MeshTopology::VertexRef | ( | int | topv_index | ) | const

## VertexRef() [2/2]

class ON_MeshVertexRef ON_MeshTopology::VertexRef | ( | ON_COMPONENT_INDEX | ci | ) | const

## Friends And Related Function Documentation

## ON_Mesh

friend class ON_Mesh

friend

Definition at line 780 of file opennurbs_mesh.h.

## Member Data Documentation

## m_mesh

const ON_Mesh* ON_MeshTopology::m_mesh

Definition at line 579 of file opennurbs_mesh.h.

## m_tope

ON_SimpleArray<ON_MeshTopologyEdge> ON_MeshTopology::m_tope

Definition at line 755 of file opennurbs_mesh.h.

## m_topf

ON_SimpleArray<ON_MeshTopologyFace> ON_MeshTopology::m_topf

Definition at line 764 of file opennurbs_mesh.h.

## m_topv

ON_SimpleArray<ON_MeshTopologyVertex> ON_MeshTopology::m_topv

Definition at line 750 of file opennurbs_mesh.h.

## m_topv_map

ON_SimpleArray<int> ON_MeshTopology::m_topv_map

Definition at line 745 of file opennurbs_mesh.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h